Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint
Class RectangularCladogramFactory

    java.lang.Object
      info.bioinfweb.treegraph.graphics.positionpaint.RectangularCladogramFactory

All Implemented Interfaces:
  SinglePositionPaintFactory

     class RectangularCladogramFactory

extends java.lang.Object
implements SinglePositionPaintFactory

Constructor Summary
`RectangularCladogramFactory()`

Method Summary
`TreePainter` | `getPainter()`
`TreePositioner` | `getPositioner()`
`boolean` | `isPainter(TreePainter painter)`
`boolean` | `isPositioner(TreePositioner positioner)`
`java.lang.String` | `name()` Returns the name of this view mode.
`boolean` | `needsBranchLengths()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectangularCladogramFactory

    RectangularCladogramFactory()

Method Detail

### getPositioner

    public TreePositioner getPositioner()

  Specified by:
    `getPositioner` in interface `SinglePositionPaintFactory`

### getPainter

    public TreePainter getPainter()

  Specified by:
    `getPainter` in interface `SinglePositionPaintFactory`

### isPositioner

    public boolean isPositioner(TreePositioner positioner)

  Specified by:
    `isPositioner` in interface `SinglePositionPaintFactory`

### isPainter

    public boolean isPainter(TreePainter painter)

  Specified by:
    `isPainter` in interface `SinglePositionPaintFactory`

### name

    public java.lang.String name()

  Description copied from interface: `SinglePositionPaintFactory`
  Returns the name of this view mode.

  Specified by:
    `name` in interface `SinglePositionPaintFactory`
  Returns:

### needsBranchLengths

    public boolean needsBranchLengths()

  Specified by:
    `needsBranchLengths` in interface `SinglePositionPaintFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD